<?php

namespace App\Http\Controllers;

use App\Models\Content;
use Carbon\Carbon;
use Illuminate\Http\Request;
use Yajra\DataTables\Facades\DataTables;

class ContentController extends Controller
{
    public function index(Request $request)
    {
        if($request->ajax()){
            $data = Content::latest()->get();

            return DataTables::of($data)
            ->addIndexColumn()
            ->addColumn('created_at', function ($data) {
                return Carbon::parse($data->created_at)->setTimezone('Asia/Karachi')->toDateTimeString();
            })
            ->addColumn('action', function ($data) {
                $btn = '<a href="' . url("/manager/contents/" . $data->id . "/edit") . '" data-toggle="tooltip" data-original-title="Edit" class="btn btn-dropbox btn-sm">
                <i class="icon-pencil" aria-hidden="true"></i>
            </a>';
    
            return $btn;
            })
            ->rawColumns(['action'])
            ->make(true);
        }

        return view('admin.pages.content.list');
    }

    public function edit($id)
    {
        return view('admin.pages.content.form', [
            'data' => Content::findOrFail($id)
        ]);
    }

    public function update(Request $request, $id)
    {
        tap(Content::findOrFail($id))->update($request->all());
        return redirect()->to('/manager/contents')->with('success', 'Updated Successfully');
    }
}
