<?php

namespace App\Http\Controllers;

use App\Models\SocialLink;
use Carbon\Carbon;
use Illuminate\Http\Request;
use Yajra\DataTables\Facades\DataTables;

class SocialLinkController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index(Request $request)
    {
        if($request->ajax()){
            $data = SocialLink::latest()->get();

            return DataTables::of($data)
            ->addIndexColumn()
            ->addColumn('updated_at', function ($data) {
                return Carbon::parse($data->updated_at)->setTimezone('Asia/Karachi')->toDateTimeString();
            })
            ->addColumn('action', function ($data) {
                $btn = '<a href="' . url("/manager/socials/" . $data->id . "/edit") . '" data-toggle="tooltip" data-original-title="Edit" class="btn btn-dropbox btn-sm">
                <i class="icon-pencil" aria-hidden="true"></i>
            </a>';
    
            return $btn;
            })
            ->rawColumns(['action'])
            ->make(true);
        }

        return view('admin.pages.social.list');
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        return view('admin.pages.social.form', [
            'data' => SocialLink::findOrFail($id)
        ]);
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
        tap(SocialLink::findOrFail($id))->update($request->all());
        return redirect()->to('/manager/socials')->with('success', 'Updated Successfully');
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        //
    }
}
