<?php

namespace App\Http\Controllers;

use App\Models\User;
use Carbon\Carbon;
use Illuminate\Http\Request;
use Yajra\DataTables\Facades\DataTables;

class UserController extends Controller
{
    public function index(Request $request)
    {
        if ($request->ajax()) {
            $data = User::latest()->get();

            return DataTables::of($data)
                ->addIndexColumn()
                ->addColumn('created_at', function ($data) {
                    return Carbon::parse($data->created_at)->setTimezone('Asia/Karachi')->toDateTimeString();
                })
                ->addColumn('action', function ($data) {
                    $btn = '
                        <a href="' . url("/manager/users/$data->id") . '" data-toggle="tooltip" data-original-title="Info" class="btn btn-info btn-sm m-1">
                            <i class="fa fa-eye" aria-hidden="true"></i>
                        </a>';

                    return $btn;
                })
                ->rawColumns(['action'])
                ->make(true);
        }

        return view('admin.pages.user.list');
    }

    public function show($id)
    {
        return view('admin.pages.user.view', [
            'data' => User::findOrFail($id)
        ]);
    }
}
