<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Activity extends Model
{
    use HasFactory, SoftDeletes;

    protected $fillable = [
        'user_type',
        'user_id',
        'title',
        'body',
        'object_type',
        'object_id',
        'actor_type',
        'actor_id',
        'type',
        'viewed'
    ];

    public function actor()
    {
        return $this->belongsTo(User::class);
    }
}
