<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Community extends Model
{
    use HasFactory, SoftDeletes;

    protected $fillable = [
        'user_id',
        'type',
        'name',
        'email',
        'phone',
        'status',
        'amount',
        'membership',
        'payment',
        'transaction_type',
        'transaction_reference'
    ];

    /**
     * Booted method of the model
     */
    protected static function booted(): void
    {
        static::creating(function (Community $model) {
            $model->user_id = auth()->user()->id;
        });
    }

    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function communityMember()
    {
        return $this->hasMany(CommunityMember::class);
    }
}
