<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\SoftDeletes;

class ContactUs extends Model
{
    use HasFactory, SoftDeletes;

    protected $fillable = [
        'user_id',
        'name',
        'email',
        'subject',
        'message'
    ];

    protected static function booted(): void
    {
        static::creating(function (ContactUs $model) {
            $model->user_id = auth()->user()->id;
        });
    }

    public function user()
    {
        return $this->BelongsTo(User::class);
    }
}
