@extends('admin.layouts.main')

@section('content')
<div class="page-wrapper">
    <!-- ============================================================== -->
    <!-- Container fluid  -->
    <!-- ============================================================== -->
    <div class="container-fluid">
        <!-- ============================================================== -->
        <!-- Bread crumb and right sidebar toggle -->
        <!-- ============================================================== -->
        <div class="row page-titles">
            <div class="col-md-5 align-self-center">
                <h4 class="text-themecolor font-bold">Dashboard</h4>
            </div>

            <div class="col-md-7 align-self-center text-right">
                <div class="d-flex justify-content-end align-items-center">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{ url('/manager/dashboard') }}">Home</a></li>
                        <li class="breadcrumb-item active">Dashboard</li>
                    </ol>
                </div>
            </div>
        </div>

        @include('admin.includes.alert')
        <!-- ============================================================== -->
        <!-- Admin Count -->
        <!-- ============================================================== -->
        <div class="row">
            <!-- Column --> 
            <div class="col-lg-3 col-md-6">
                <a href="{{ url('/manager/users') }}">
                    <div class="card">
                        <div class="card-body">
                            <h4 class="card-title">USERS</h4>
                            <div class="text-right"> <span class="text-muted">Total Users</span>
                                <h1 class="font-light"><sup>{{ $userCount }}</h1>
                            </div>
                        </div>
                    </div>
                </a>
            </div>
            <!-- Column -->
            <!-- Column -->
            <div class="col-lg-3 col-md-6">
                <a href="{{ url('/manager/programs') }}">
                    <div class="card">
                        <div class="card-body">
                            <h4 class="card-title">PROGRAMS</h4>
                            <div class="text-right"> <span class="text-muted">Total Programs</span>
                                <h1 class="font-light"><sup>{{ $programCount }}</h1>
                            </div>
                        </div>
                    </div>
                </a>
            </div>
            <!-- Column -->
            <!-- Column -->
            <div class="col-lg-3 col-md-6">
                <a href="{{ url('/manager/courses') }}">
                    <div class="card">
                        <div class="card-body">
                            <h4 class="card-title">COURSES</h4>
                            <div class="text-right"> <span class="text-muted">Total Courses</span>
                                <h1 class="font-light">{{ $coursesCount }}</h1>
                            </div>
                        </div>
                    </div>
                </a>
            </div>
            <!-- Column -->
            <div class="col-lg-3 col-md-6">
                <a href="{{ url('/manager/events') }}">
                    <div class="card">
                        <div class="card-body">
                            <h4 class="card-title">EVENTS</h4>
                            <div class="text-right"> <span class="text-muted">Total Events</span>
                                <h1 class="font-light">{{ $eventCount }}</h1>
                            </div>
                        </div>
                    </div>
                </a>
            </div>
            <div class="col-lg-3 col-md-6">
                <a href="{{ url('/manager/supports') }}">
                    <div class="card">
                        <div class="card-body">
                            <h4 class="card-title">SUPPORTS</h4>
                            <div class="text-right"> <span class="text-muted">Total Supports</span>
                                <h1 class="font-light">{{ $supportCount }}</h1>
                            </div>
                        </div>
                    </div>
                </a>
            </div>
           
        </div>

    </div>

</div>

@endsection