@extends('admin.layouts.outside')

@section('content')
<section id="wrapper" class="login-register login-sidebar" style="background-image:url({{ url('/') }}/assets/images/ptconnect/background.png);">
    <div class="login-box card">
        <div class="card-body">

            <form class="form-horizontal" id="loginform" action="{{ route('manager.login') }}" method="POST" data-parsley-validate>
                @csrf

                <div class="text-center">
                    <a href="{{ url('/manager') }}" class="db"><img src="{{ url('/') }}/assets/images/ptconnect/logo-fullname.png" class="mt-5" alt="Logo" /></a>
                </div>


                <div class="form-group m-t-40">
                    <div class="col-xs-12">
                        <input class="form-control" type="email" name="email" data-parsley-required-message="The email field is required" data-parsley-trigger="change" placeholder="Enter Email" required>
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-xs-12">
                        <input class="form-control" type="password" name="password" data-parsley-required-message="The password field is required" placeholder="Enter Password" required>
                    </div>
                </div>
                <!-- <div class="form-group row">
                    <div class="col-md-12">
                        <div class="d-flex no-block align-items-center">
                            <div class="ml-auto">
                                <a href="javascript:void(0)" id="to-recover" class="text-muted"><i class="fas fa-lock m-r-5"></i> Forgot password?</a>
                            </div>
                        </div>
                    </div>
                </div> -->
                <div class="form-group text-center m-t-20">
                    <div class="col-xs-12">
                        <button class="btn-grad btn btn-lg btn-block text-uppercase btn-rounded" type="submit">Log
                            In</button>
                    </div>
                </div>

                @include('admin.includes.alert')
            </form>

            <form class="form-horizontal" id="recoverform" action="{{ route('manager.forgot') }}" method="POST" autocomplete="off" data-parsley-validate>
                @csrf
                <div class="text-center">
                    <a href="javascript:void(0)" class="db">
                        <img src="{{ url('/') }}/assets/images/ptconnect/logo-fullname.png" alt="Logo" class="mt-5"></a>
                </div>
                <div class="form-group m-t-40">
                    <div class="col-xs-12">
                        <h3>Recover Password</h3>
                        <p class="text-muted">Enter your Email and instructions will be sent to you!</p>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-xs-12">
                        <input class="form-control" type="email" name="email" data-parsley-trigger="change" data-parsley-required-message="The email field is required" placeholder="Enter Email" required>
                    </div>
                </div>
                <div class="form-group text-center m-t-20">
                    <div class="col-xs-12">
                        <button class="btn-grad btn btn-lg btn-block text-uppercase waves-effect waves-light" type="submit">Send</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</section>
@endsection
@push('script')
<script>
    $(document).ready(function() {
        $(window).keydown(function(event) {
            if (event.keyCode == 13) {
                event.preventDefault();
                return false;
            }
        });
    });
</script>
@endpush