@extends('admin.layouts.main')

@section('content')
<div class="page-wrapper">
    <!-- ============================================================== -->
    <!-- Container fluid  -->
    <!-- ============================================================== -->
    <div class="container-fluid">
        <!-- ============================================================== -->
        <!-- Bread crumb and right sidebar toggle -->
        <!-- ============================================================== -->
        <div class="row page-titles">
            <div class="col-md-5 align-self-center">
                <h4 class="text-themecolor font-bold">Announcement</h4>
            </div>
            <div class="col-md-7 align-self-center text-right">
                <div class="d-flex justify-content-end align-items-center">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{ url('/restaurant/dashboard') }}">Home</a></li>
                        <li class="breadcrumb-item active">
                            <a href="{{ url('restaurant/announcements') }}" class="text-danger">Announcement</a>
                        </li>
                    </ol>
                </div>
            </div>
        </div>

        @include('admin.includes.alert')
        <div class="card">
            <div class="card-body">

                <form action="{{ @$data ? url('manager/announcements/store/' . $data['id']  ) : url('manager/announcements/store') }}" method="post" data-parsley-validate>
                    @csrf

                    @if( @$data )
                    @method('PATCH')
                    @endif

                    <div class="row">
                        <!-- <div class="col-md-6 mb-3">
                            <label class="control-label">Audience*</label>
                            <select class="form-control" data-parsley-required-message="The audience field is required" name="audience" required>
                                <option value="">Select Audience</option>
                                <option value="both">Both</option>
                                <option value="restaurant">Restaurant</option>
                                <option value="user">User</option>
                            </select>
                        </div> -->
                        <div class="col-md-6 mb-3">
                            <label class="control-label">Announcement Title*</label>
                            <input type="text" data-parsley-required-message="The title field is required" name="title" value="{{ old('title', @$data->title) }}" class="form-control {{ $errors->has('title') ? 'is-invalid' : '' }}" autocomplete="off" placeholder="Enter Title" required>
                            @if ($errors->has('title'))
                            <span class="text-danger">{{ $errors->first('title') }}</span>
                            @endif
                        </div>

                        <div class="col-md-12 mb-3">
                            <label class="control-label">Description*</label>
                            <textarea class="form-control" name="description" rows="6" data-parsley-required-message="The description field is required" data-parsley-errors-container="#description-errors" placeholder="Enter Description" required>{!! old('description', @$data['description']) !!}</textarea>
                            <div id="description-errors"></div>
                            @if ($errors->has('description'))
                            <span class="text-danger">{{ $errors->first('description') }}</span>
                            @endif
                        </div>

                    </div>

                    <button class="btn btn-primary" type="submit">Save</button>
                </form>
            </div>
        </div>
    </div>
</div>
@endsection

@push('script')
<script>
    $(document).ready(function() {
        CKEDITOR.replace('ckeditor');
        CKEDITOR.config = {
            autoUpdateElement: true,
        }

        CKEDITOR.on('instanceReady', function() {
            $('#ckeditor').attr('required', '');
            $.each(CKEDITOR.instances, function(instance) {
                CKEDITOR.instances[instance].on("change", function(e) {
                    for (instance in CKEDITOR.instances) {
                        CKEDITOR.instances[instance].updateElement();
                        $('form').parsley().validate();
                    }
                });
            });
        });
    });
</script>
@endpush