@extends('admin.layouts.main')

@section('content')

<div class="page-wrapper">
    <div class="container-fluid">
        <div class="row page-titles">
            <div class="col-md-5 align-self-center">
                <h4 class="text-themecolor font-bold">Course Details</h4>
            </div>
            <div class="col-md-7 align-self-center text-right">
                <div class="d-flex justify-content-end align-items-center">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{ url('/manager/dashboard') }}">Home</a></li>
                        <li class="breadcrumb-item active">
                            <a href="{{ url('/manager/courses') }}" class="text-cyan">Course</a>
                        </li>
                        <li class="breadcrumb-item">Course View</li>
                    </ol>
                </div>
            </div>
        </div>

        <!-- Post -->
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header bg-inverse text-white">
                        <h4 class="m-b-0 text-white d-inline-block">Course ({{ ucwords($data->name) }})</h4>
                    </div>

                    <div class="ribbon-wrapper card-body collapse show">
                        <div class="text-center">
                        <img src="{{ @$data->image_url != '' ? @$data->image_url : url('assets/images/upload.jpg') }}" alt="logo" class="mb-3" style="width: 150px;height: 150px">
                        </div>
                        <p class="text-center mt-4">
                            <a href="{{ @$data->image_url != '' ? @$data->image_url : url('assets/images/upload.jpg') }}" target="blank">Click to view</a>
                        </p>
                        <hr>
                        <div class="row">
                            <div class="offset-1 col-md-4 p-2">
                                <p class="card-text"><b>Name:</b> {{ ucwords($data->name) }}</p>
                            </div>
                            <div class="offset-1 col-md-4 p-2">
                                @if ($data->url != null)
                                <a href="//{{ $data->url }}" class="btn btn-dropbox btn-sm" data-abc="true" target="_blank">
                                    <i class="fa fa-link"></i>
                                </a>
                                @else
                                <a class="btn btn-dropbox btn-sm" data-abc="true">
                                    <i class="fa fa-link"></i>
                                </a>
                                @endif
                            </div>
                            <div class="offset-1 col-md-4 p-2">
                                <p class="card-text"><b>Type:</b> 
                                @switch($data->type)
                                    @case('popular')
                                    <label class="badge badge-dark">Popular</label>
                                    @break
                                    @case('recommend')
                                    <label class="badge badge-info">Recommend</label>
                                    @break

                                    @default
                                    <label class="badge badge-success">-</label>
                                    @endswitch</p>
                            </div>
                            <div class="offset-1 col-md-4 p-2">
                                <p class="card-text"><b>Lable Name:</b> {{ ucwords($data->lable_name) }}</p>
                            </div>
                            <div class="offset-1 col-md-4 p-2">
                                <p class="card-text"><b>Start Date:</b>{{ \Carbon\Carbon::parse($data->start_date)->format('d/m/Y')}}</p>
                            </div>
                            <div class="offset-1 col-md-4 p-2">
                                <p class="card-text"><b>End Date:</b>{{ \Carbon\Carbon::parse($data->end_date)->format('d/m/Y')}}</p>
                            </div>

                        </div>
                        <hr>
                        <p class="card-text"><b>Created at:</b> {{ \Carbon\Carbon::parse($data->created_at)->setTimezone('Asia/Karachi')->toDateTimeString() }}</p>
                    </div>
                </div>
            </div>

        </div>
        <!-- End Row -->
    </div>
</div>

@endsection