@extends('admin.layouts.main')

@section('content')
<div class="page-wrapper">
    <!-- ============================================================== -->
    <!-- Container fluid  -->
    <!-- ============================================================== -->
    <div class="container-fluid">
        <!-- ============================================================== -->
        <!-- Bread crumb and right sidebar toggle -->
        <!-- ============================================================== -->
        <div class="row page-titles">
            <div class="col-md-5 align-self-center">
                <h4 class="text-themecolor font-bold">{{ @$data ? 'Edit' : 'Add' }} Social Link</h4>
            </div>
            <div class="col-md-7 align-self-center text-right">
                <div class="d-flex justify-content-end align-items-center">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="{{ url('/manager/dashboard') }}">Home</a></li>
                        <li class="breadcrumb-item active">
                            <a href="{{ url('/manager/socials') }}" class="text-info">Social Link</a>
                        </li>
                    </ol>
                </div>
            </div>
        </div>

        @include('admin.includes.alert')

        <div class="card">
            <div class="card-body">

                <form action="{{ @$data ? url('/manager/socials/' . $data['id']  ) : url('/manager/socials') }}" method="post" enctype="multipart/form-data" data-parsley-validate>
                    @csrf

                    @if( @$data )
                    @method('PATCH')
                    @endif

                    <div class="row">
                        <div class="col-md-6 mb-3">
                            <label class="control-label">Facebook Link<span class="text-danger">*</span></label>
                            <input type="text" class="form-control" id="facebook_link" name="facebook_link" value="{{ old('facebook_link', @$data['facebook_link']) }}" data-parsley-required-message="The facebook link field is required" data-parsley-type="facebook_link" data-parsley-pattern="^https?://[\w-]+(\.[\w-]+)+(/[\w-./?%&=]*)?$" placeholder="Enter facebook link" required>
                            @if ($errors->has('facebook_link'))
                            <span class="text-danger">{{ $errors->first('facebook_link') }}</span>
                            @endif
                        </div>

                        <div class="col-md-6 mb-3">
                            <label class="control-label">LinkedIn Link<span class="text-danger">*</span></label>
                            <input type="text" class="form-control" id="linkedin_link" name="linkedin_link" value="{{ old('linkedin_link', @$data['linkedin_link']) }}" data-parsley-required-message="The linkedin link field is required" data-parsley-type="linkedin_link" data-parsley-pattern="^https?://[\w-]+(\.[\w-]+)+(/[\w-./?%&=]*)?$" placeholder="Enter linkedin link" required>
                            @if ($errors->has('linkedin_link'))
                            <span class="text-danger">{{ $errors->first('linkedin_link') }}</span>
                            @endif
                        </div>

                        <div class="col-md-6 mb-3">
                            <label class="control-label">Google Link<span class="text-danger">*</span></label>
                            <input type="text" class="form-control" id="google_link" name="google_link" value="{{ old('google_link', @$data['google_link']) }}" data-parsley-required-message="The google link field is required" data-parsley-type="google_link" data-parsley-pattern="^https?://[\w-]+(\.[\w-]+)+(/[\w-./?%&=]*)?$" placeholder="Enter google link" required>
                            @if ($errors->has('google_link'))
                            <span class="text-danger">{{ $errors->first('google_link') }}</span>
                            @endif
                        </div>

                        <div class="col-md-6 mb-3">
                            <label class="control-label">Website Link<span class="text-danger">*</span></label>
                            <input type="text" class="form-control" id="website_link" name="website_link" value="{{ old('website_link', @$data['website_link']) }}" data-parsley-required-message="The website link field is required" data-parsley-type="website_link" data-parsley-pattern="^https?://[\w-]+(\.[\w-]+)+(/[\w-./?%&=]*)?$" placeholder="Enter website link" required>
                            @if ($errors->has('website_link'))
                            <span class="text-danger">{{ $errors->first('website_link') }}</span>
                            @endif
                        </div>

                    </div>

                    <button class="btn btn-primary" type="submit">Save</button>
                </form>
            </div>
        </div>
    </div>
</div>
@endsection