@extends('admin.layouts.main')

@section('content')

<div class="page-wrapper">
    <div class="container-fluid">
        <div class="row page-titles">
            <div class="col-md-5 align-self-center">
                <h4 class="text-themecolor font-bold">Users Management</h4>
            </div>
            <div class="col-md-7 align-self-center text-right">
                <div class="d-flex justify-content-end align-items-center">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item active"><a href="{{ url('/manager/dashboard') }}">Home</a></li>
                        <li class="breadcrumb-item">
                            <a href="{{ url('/manager/users') }}" class="text-danger">Users</a>
                        </li>
                    </ol>
                </div>
            </div>
        </div>

        @include('admin.includes.alert')

        <div class="card">
            <div class="card-body">
                <div class="table-responsive m-t-30">
                    <table class="table table-bordered" id="users">
                        <thead>
                            <tr>
                                <th width="50">S.no</th>
                                <th>Full Name</th>
                                <th>Email</th>
                                <th>Phone</th>
                                <th>Date</th>
                                <th width="100px">Action</th>
                            </tr>
                        </thead>
                        <tbody>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
@push('script')
<script>
    $(document).ready(function() {
        $(function() {
            $('table').on('draw.dt', function() {
                $('[data-toggle="tooltip"]').tooltip();
            })

            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });

            var user = $('#users').DataTable({
                processing: true,
                serverSide: true,
                responsive: true,
                orderable: false,
                searchable: true,
                "language": {
                    processing: '<i class="fa fa-spinner fa-spin fa-3x fa-fw"></i><span class="sr-only">Loading...</span>'
                },
                ajax: "",
                columns: [{
                    data: 'DT_RowIndex',
                    name: 'DT_RowIndex',
                    orderable: false,
                    searchable: false
                }, {
                    // data: 'first_name',
                    // render: function ( data, type, row ) {
                    // return  data + ' ' + row.last_name;
                    // } 

                    data: null,
                    render: (data) => data.first_name + ' ' + data.last_name
                }, {
                    data: 'email',
                    name: 'email'
                }, { 
                    data: 'phone', 
                    render: function ( data, type, row ) {
                    return row.country_code + ' ' + data;
                    } 
                }, {
                    data: 'created_at',
                    name: 'created_at'
                }, {
                    data: 'action',
                    name: 'action'
                }]
            });
        })
    })
</script>
@endpush