<?php $__env->startSection('content'); ?>
<div class="page-wrapper">
    <!-- ============================================================== -->
    <!-- Container fluid  -->
    <!-- ============================================================== -->
    <div class="container-fluid">
        <!-- ============================================================== -->
        <!-- Bread crumb and right sidebar toggle -->
        <!-- ============================================================== -->
        <div class="row page-titles">
            <div class="col-md-5 align-self-center">
                <h4 class="text-themecolor font-bold"><?php echo e(@$data ? 'Edit' : 'Add'); ?> Program</h4>
            </div>
            <div class="col-md-7 align-self-center text-right">
                <div class="d-flex justify-content-end align-items-center">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo e(url('/manager/dashboard')); ?>">Home</a></li>
                        <li class="breadcrumb-item active">
                            <a href="<?php echo e(url('/manager/programs')); ?>" class="text-danger">Program</a>
                        </li>
                    </ol>
                </div>
            </div>
        </div>

        <?php echo $__env->make('admin.includes.alert', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <div class="card">
            <div class="card-body">

                <form action="<?php echo e(@$data ? url('/manager/programs/' . $data['id']  ) : url('/manager/programs')); ?>" method="post" enctype="multipart/form-data" data-parsley-validate>
                    <?php echo csrf_field(); ?>

                    <?php if( @$data ): ?>
                    <?php echo method_field('PATCH'); ?>
                    <?php endif; ?>

                    <div class="row">

                        <div class="col-md-4 mb-3">
                            <label class="control-label">Program Parent</label>
                            <select name="parent_id" data-parsley-required-message="The parent field is required" class="form-control <?php echo e($errors->has('parent_id') ? 'is-invalid' : ''); ?>">
                                <option value="">Choose Parent</option>
                                <?php $__currentLoopData = $programs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $program): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($program->id); ?>" <?php echo e($program->id === @$data['parent_id'] ? 'selected' : ''); ?>><?php echo e($program->title); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                            <?php if($errors->has('type')): ?>
                            <span class="text-danger"><?php echo e($errors->first('type')); ?></span>
                            <?php endif; ?>
                        </div>

                        <div class="col-md-4 mb-3">
                            <label class="control-label">Program Title<span class="text-danger">*</span> </label>
                            <input type="text" data-parsley-required-message="The program title field is required" name="title" value="<?php echo e(old('title', @$data->title)); ?>" class="form-control <?php echo e($errors->has('title') ? 'is-invalid' : ''); ?>" autocomplete="off" placeholder="Enter program title" required>
                            <?php if($errors->has('title')): ?>
                            <span class="text-danger"><?php echo e($errors->first('title')); ?></span>
                            <?php endif; ?>
                        </div>

                        <div class="col-md-4 mb-3">
                            <label class="control-label">Program Link</label>
                            <input type="text" class="form-control" id="url" name="url" value="<?php echo e(old('url', @$data['url'])); ?>" data-parsley-required-message="The link field is required" data-parsley-type="url" data-parsley-pattern="^https?://[\w-]+(\.[\w-]+)+(/[\w-./?%&=]*)?$" placeholder="Enter link">
                            <?php if($errors->has('url')): ?>
                            <span class="text-danger"><?php echo e($errors->first('url')); ?></span>
                            <?php endif; ?>
                        </div>

                        <div class="col-md-4 mb-3">
                            <label class="control-label">Program Image<span class="text-danger">*</span></label>
                            <div>
                                <label for="affiliate-image" style="cursor: pointer;">
                                    <img id="previewImg" src="<?php echo e(@$data->image_url != '' ? @$data->image_url : url('assets/images/upload.jpg')); ?>" alt="logo" class="mb-3" id="showUpload" style="width: 150px;height: 150px">
                                </label>
                            </div>
                            <input type="file" name="image" data-parsley-required-message="The image field is required" class="form-control upload-image" id="affiliate-image" style="display: none;" <?php echo e(@$data->image_url == null ? 'required' : ''); ?>>
                            <?php if($errors->has('image')): ?>
                            <span class="text-danger"><?php echo e($errors->first('image')); ?></span>
                            <?php endif; ?>
                        </div>

                        <div class="col-md-8 mb-3">
                            <label class="control-label">Program Description<span class="text-danger">*</span></label>
                            <textarea class="form-control" id="ckeditor" name="description" rows="6" data-parsley-required-message="The description field is required" placeholder="Enter description" required><?php echo old('description', @$data['description']); ?></textarea>
                            <?php if($errors->has('description')): ?>
                            <span class="text-danger"><?php echo e($errors->first('description')); ?></span>
                            <?php endif; ?>
                        </div>

                    </div>

                    <button class="btn btn-primary" type="submit">Save</button>
                </form>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('script'); ?>
<script>
    $(".upload-image").change(function() {
        var inputFile = $(this).parent().children('div').children('label').children('img')
        var reader = new FileReader();
        reader.onload = function(e) {
            inputFile.attr('src', e.target.result);
        };
        reader.readAsDataURL(this.files[0]);
        console.log(this.files[0])
    });

    function previewFile(input) {
        var file = $("input[type=file]").get(0).files[0];
        if (file) {
            var reader = new FileReader();
            reader.onload = function() {
                $("#previewImg").attr("src", reader.result);
            }
            reader.readAsDataURL(file);
        }
    }

    $(document).ready(function() {
        CKEDITOR.replace('ckeditor');
        CKEDITOR.config = {
            autoUpdateElement: true,
        }

        CKEDITOR.on('instanceReady', function() {
            $('#ckeditor').attr('required', '');
            $.each(CKEDITOR.instances, function(instance) {
                CKEDITOR.instances[instance].on("change", function(e) {
                    for (instance in CKEDITOR.instances) {
                        CKEDITOR.instances[instance].updateElement();
                        $('form').parsley().validate();
                    }
                });
            });
        });
    });
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('admin.layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\ptconnect_admin_2024\resources\views/admin/pages/program/form.blade.php ENDPATH**/ ?>