<?php $__env->startSection('content'); ?>
<div class="page-wrapper">
    <!-- ============================================================== -->
    <!-- Container fluid  -->
    <!-- ============================================================== -->
    <div class="container-fluid">
        <!-- ============================================================== -->
        <!-- Bread crumb and right sidebar toggle -->
        <!-- ============================================================== -->
        <div class="row page-titles">
            <div class="col-md-5 align-self-center">
                <h4 class="text-themecolor font-bold"><?php echo e(@$data ? 'Edit' : 'Add'); ?> Social Link</h4>
            </div>
            <div class="col-md-7 align-self-center text-right">
                <div class="d-flex justify-content-end align-items-center">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo e(url('/manager/dashboard')); ?>">Home</a></li>
                        <li class="breadcrumb-item active">
                            <a href="<?php echo e(url('/manager/socials')); ?>" class="text-info">Social Link</a>
                        </li>
                    </ol>
                </div>
            </div>
        </div>

        <?php echo $__env->make('admin.includes.alert', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

        <div class="card">
            <div class="card-body">

                <form action="<?php echo e(@$data ? url('/manager/socials/' . $data['id']  ) : url('/manager/socials')); ?>" method="post" enctype="multipart/form-data" data-parsley-validate>
                    <?php echo csrf_field(); ?>

                    <?php if( @$data ): ?>
                    <?php echo method_field('PATCH'); ?>
                    <?php endif; ?>

                    <div class="row">
                        <div class="col-md-6 mb-3">
                            <label class="control-label">Facebook Link<span class="text-danger">*</span></label>
                            <input type="text" class="form-control" id="facebook_link" name="facebook_link" value="<?php echo e(old('facebook_link', @$data['facebook_link'])); ?>" data-parsley-required-message="The facebook link field is required" data-parsley-type="facebook_link" data-parsley-pattern="^https?://[\w-]+(\.[\w-]+)+(/[\w-./?%&=]*)?$" placeholder="Enter facebook link" required>
                            <?php if($errors->has('facebook_link')): ?>
                            <span class="text-danger"><?php echo e($errors->first('facebook_link')); ?></span>
                            <?php endif; ?>
                        </div>

                        <div class="col-md-6 mb-3">
                            <label class="control-label">LinkedIn Link<span class="text-danger">*</span></label>
                            <input type="text" class="form-control" id="linkedin_link" name="linkedin_link" value="<?php echo e(old('linkedin_link', @$data['linkedin_link'])); ?>" data-parsley-required-message="The linkedin link field is required" data-parsley-type="linkedin_link" data-parsley-pattern="^https?://[\w-]+(\.[\w-]+)+(/[\w-./?%&=]*)?$" placeholder="Enter linkedin link" required>
                            <?php if($errors->has('linkedin_link')): ?>
                            <span class="text-danger"><?php echo e($errors->first('linkedin_link')); ?></span>
                            <?php endif; ?>
                        </div>

                        <div class="col-md-6 mb-3">
                            <label class="control-label">Google Link<span class="text-danger">*</span></label>
                            <input type="text" class="form-control" id="google_link" name="google_link" value="<?php echo e(old('google_link', @$data['google_link'])); ?>" data-parsley-required-message="The google link field is required" data-parsley-type="google_link" data-parsley-pattern="^https?://[\w-]+(\.[\w-]+)+(/[\w-./?%&=]*)?$" placeholder="Enter google link" required>
                            <?php if($errors->has('google_link')): ?>
                            <span class="text-danger"><?php echo e($errors->first('google_link')); ?></span>
                            <?php endif; ?>
                        </div>

                        <div class="col-md-6 mb-3">
                            <label class="control-label">Website Link<span class="text-danger">*</span></label>
                            <input type="text" class="form-control" id="website_link" name="website_link" value="<?php echo e(old('website_link', @$data['website_link'])); ?>" data-parsley-required-message="The website link field is required" data-parsley-type="website_link" data-parsley-pattern="^https?://[\w-]+(\.[\w-]+)+(/[\w-./?%&=]*)?$" placeholder="Enter website link" required>
                            <?php if($errors->has('website_link')): ?>
                            <span class="text-danger"><?php echo e($errors->first('website_link')); ?></span>
                            <?php endif; ?>
                        </div>

                    </div>

                    <button class="btn btn-primary" type="submit">Save</button>
                </form>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\ptconnect_admin_2024\resources\views/admin/pages/social/form.blade.php ENDPATH**/ ?>