<?php $__env->startSection('content'); ?>
<div class="page-wrapper">
    <!-- ============================================================== -->
    <!-- Container fluid  -->
    <!-- ============================================================== -->
    <div class="container-fluid">
        <!-- ============================================================== -->
        <!-- Bread crumb and right sidebar toggle -->
        <!-- ============================================================== -->
        <div class="row page-titles">
            <div class="col-md-5 align-self-center">
                <h4 class="text-themecolor font-bold">Announcement</h4>
            </div>
            <div class="col-md-7 align-self-center text-right">
                <div class="d-flex justify-content-end align-items-center">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo e(url('/restaurant/dashboard')); ?>">Home</a></li>
                        <li class="breadcrumb-item active">
                            <a href="<?php echo e(url('restaurant/announcements')); ?>" class="text-danger">Announcement</a>
                        </li>
                    </ol>
                </div>
            </div>
        </div>

        <?php echo $__env->make('admin.includes.alert', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <div class="card">
            <div class="card-body">

                <form action="<?php echo e(@$data ? url('manager/announcements/store/' . $data['id']  ) : url('manager/announcements/store')); ?>" method="post" data-parsley-validate>
                    <?php echo csrf_field(); ?>

                    <?php if( @$data ): ?>
                    <?php echo method_field('PATCH'); ?>
                    <?php endif; ?>

                    <div class="row">
                        <!-- <div class="col-md-6 mb-3">
                            <label class="control-label">Audience*</label>
                            <select class="form-control" data-parsley-required-message="The audience field is required" name="audience" required>
                                <option value="">Select Audience</option>
                                <option value="both">Both</option>
                                <option value="restaurant">Restaurant</option>
                                <option value="user">User</option>
                            </select>
                        </div> -->
                        <div class="col-md-6 mb-3">
                            <label class="control-label">Announcement Title*</label>
                            <input type="text" data-parsley-required-message="The title field is required" name="title" value="<?php echo e(old('title', @$data->title)); ?>" class="form-control <?php echo e($errors->has('title') ? 'is-invalid' : ''); ?>" autocomplete="off" placeholder="Enter Title" required>
                            <?php if($errors->has('title')): ?>
                            <span class="text-danger"><?php echo e($errors->first('title')); ?></span>
                            <?php endif; ?>
                        </div>

                        <div class="col-md-12 mb-3">
                            <label class="control-label">Description*</label>
                            <textarea class="form-control" name="description" rows="6" data-parsley-required-message="The description field is required" data-parsley-errors-container="#description-errors" placeholder="Enter Description" required><?php echo old('description', @$data['description']); ?></textarea>
                            <div id="description-errors"></div>
                            <?php if($errors->has('description')): ?>
                            <span class="text-danger"><?php echo e($errors->first('description')); ?></span>
                            <?php endif; ?>
                        </div>

                    </div>

                    <button class="btn btn-primary" type="submit">Save</button>
                </form>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('script'); ?>
<script>
    $(document).ready(function() {
        CKEDITOR.replace('ckeditor');
        CKEDITOR.config = {
            autoUpdateElement: true,
        }

        CKEDITOR.on('instanceReady', function() {
            $('#ckeditor').attr('required', '');
            $.each(CKEDITOR.instances, function(instance) {
                CKEDITOR.instances[instance].on("change", function(e) {
                    for (instance in CKEDITOR.instances) {
                        CKEDITOR.instances[instance].updateElement();
                        $('form').parsley().validate();
                    }
                });
            });
        });
    });
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('admin.layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\ptconnect_admin_2024\resources\views/admin/pages/announcement/form.blade.php ENDPATH**/ ?>