<?php $__env->startSection('content'); ?>
<div class="page-wrapper">
    <!-- ============================================================== -->
    <!-- Container fluid  -->
    <!-- ============================================================== -->
    <div class="container-fluid">
        <!-- ============================================================== -->
        <!-- Bread crumb and right sidebar toggle -->
        <!-- ============================================================== -->
        <div class="row page-titles">
            <div class="col-md-5 align-self-center">
                <?php if(@$data): ?>
                <h4 class="text-themecolor font-bold">Edit Category</h4>
                <?php else: ?>
                <h4 class="text-themecolor font-bold">Add Category</h4>
                <?php endif; ?>
            </div>
            <div class="col-md-7 align-self-center text-right">
                <div class="d-flex justify-content-end align-items-center">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo e(url('/restaurant/dashboard')); ?>">Home</a></li>
                        <li class="breadcrumb-item active">
                            <a href="<?php echo e(url('restaurant/categories')); ?>" class="text-danger">Categories</a>
                        </li>
                    </ol>
                </div>
            </div>
        </div>

        <?php echo $__env->make('restaurant.includes.alert', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <div class="card">
            <div class="card-body">

                <form action="<?php echo e(@$data ? url('restaurant/categories/' . $data['id']  ) : url('restaurant/categories')); ?>" method="post" enctype="multipart/form-data" data-parsley-validate>
                    <?php echo csrf_field(); ?>

                    <?php if( @$data ): ?>
                    <?php echo method_field('PATCH'); ?>
                    <?php endif; ?>

                    <div class="row">
                        <div class="col-md-6 mb-3">
                            <label class="control-label">Category Name*</label>
                            <input type="text" data-parsley-required-message="The name field is required" name="name" value="<?php echo e(old('name', @$data->name)); ?>" class="form-control <?php echo e($errors->has('name') ? 'is-invalid' : ''); ?>" autocomplete="off" placeholder="Enter name" required>
                            <?php if($errors->has('name')): ?>
                            <span class="text-danger"><?php echo e($errors->first('name')); ?></span>
                            <?php endif; ?>
                        </div>

                        <div class="col-md-6 mb-3">
                            <label class="control-label">Picture*</label>
                            <div>
                                <label for="category-image" style="cursor: pointer;">
                                    <img id="previewImg" src="<?php echo e(@$data->picture_url != '' ? @$data->picture_url : url('assets/images/upload.jpg')); ?>" alt="logo" class="mb-3" id="showUpload" style="width: 150px;height: 150px">
                                </label>
                            </div>
                            <input type="file" name="picture" data-parsley-required-message="The picture field is required" class="form-control upload-image" id="category-image" style="display: none;" <?php echo e(@$data->picture_url == null ? 'required' : ''); ?>>
                            <?php if($errors->has('picture')): ?>
                            <span class="text-danger"><?php echo e($errors->first('picture')); ?></span>
                            <?php endif; ?>
                        </div>

                        <div class="col-md-12 mb-3">
                            <label class="control-label">Description*</label>
                            <textarea class="form-control" name="description" rows="6" data-parsley-required-message="The description field is required" placeholder="Enter Description" required><?php echo old('description', @$data['description']); ?></textarea>
                            <?php if($errors->has('description')): ?>
                            <span class="text-danger"><?php echo e($errors->first('description')); ?></span>
                            <?php endif; ?>
                        </div>

                    </div>

                    <button class="btn btn-primary" type="submit">Save</button>
                </form>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('script'); ?>
<script>
    $(".upload-image").change(function() {
        var inputFile = $(this).parent().children('div').children('label').children('img')
        var reader = new FileReader();
        reader.onload = function(e) {
            inputFile.attr('src', e.target.result);
        };
        reader.readAsDataURL(this.files[0]);
        console.log(this.files[0])
    });

    function previewFile(input) {
        var file = $("input[type=file]").get(0).files[0];

        if (file) {
            var reader = new FileReader();

            reader.onload = function() {
                $("#previewImg").attr("src", reader.result);
            }

            reader.readAsDataURL(file);
        }
    }
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('restaurant.layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\ptconnect_admin_2024\resources\views/admin/pages/affilite/form.blade.php ENDPATH**/ ?>