

<?php $__env->startSection('content'); ?>

<div class="page-wrapper">
    <div class="container-fluid">
        <div class="row page-titles">
            <div class="col-md-5 align-self-center">
                <h4 class="text-themecolor font-bold">Community Details</h4>
            </div>
            <div class="col-md-7 align-self-center text-right">
                <div class="d-flex justify-content-end align-items-center">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo e(url('/manager/dashboard')); ?>">Home</a></li>
                        <li class="breadcrumb-item active">
                            <a href="<?php echo e(url('/manager/communities')); ?>" class="text-cyan">Communities</a>
                        </li>
                        <li class="breadcrumb-item">Community View</li>
                    </ol>
                </div>
            </div>
        </div>

        <!-- Post -->
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header bg-inverse text-white">
                        <h4 class="m-b-0 text-white d-inline-block">Community (<?php echo e(ucwords($data->type)); ?>)</h4>
                    </div>

                    <div class="ribbon-wrapper card-body collapse show">
                        <div class="row">
                            <div class="offset-1 col-md-4 p-2">
                                <p class="card-text"><b>Type:</b>
                                    <?php switch($data->type):
                                    case ('parent'): ?>
                                    <label class="badge badge-dark">Parent</label>
                                    <?php break; ?>
                                    <?php case ('teacher'): ?>
                                    <label class="badge badge-info">Teacher</label>
                                    <?php break; ?>

                                    <?php default: ?>
                                    <label class="badge badge-success">-</label>
                                    <?php endswitch; ?>
                                </p>
                            </div>

                            <div class="offset-1 col-md-4 p-2">
                                <p class="card-text"><b>Status:</b>
                                    <?php switch($data->status):
                                    case ('0'): ?>
                                    <label class="badge badge-warning">Pending</label>
                                    <?php break; ?>
                                    <?php case ('1'): ?>
                                    <label class="badge badge-info">Approved</label>
                                    <?php break; ?>
                                    <?php case ('2'): ?>
                                    <label class="badge badge-danger">Rejected</label>
                                    <?php break; ?>

                                    <?php default: ?>
                                    <label class="badge badge-success">-</label>
                                    <?php endswitch; ?>
                                </p>
                            </div>

                            <div class="offset-1 col-md-4 p-2">
                                <p class="card-text"><b>Name:</b> <?php echo e($data->name); ?></p>
                            </div>

                            <div class="offset-1 col-md-4 p-2">
                                <p class="card-text"><b>Email:</b> <?php echo e($data->email); ?></p>
                            </div>

                            <div class="offset-1 col-md-4 p-2">
                                <p class="card-text"><b>Phone:</b> <?php echo e($data->phone); ?></p>
                            </div>

                            <div class="offset-1 col-md-4 p-2">
                                <p class="card-text"><b>Amount:</b> <?php echo e($data->amount); ?></p>
                            </div>

                            <div class="offset-1 col-md-4 p-2">
                                <p class="card-text"><b>Membership:</b> <?php echo e($data->membership); ?></p>
                            </div>

                            <!-- <div class="offset-1 col-md-4 p-2">
                                <p class="card-text"><b>Transaction Type:</b> <?php echo e($data->transaction_type); ?></p>
                            </div> -->
                        </div>

                        <div class="col-md-12 col-xs-12 b-r p-3">
                                <form class="form-horizontal" action="<?php echo e(url('/manager/communities/'.$data->id.'/update')); ?>" method="post">
                                    <?php echo csrf_field(); ?>
                                    <div class="col-sm-6">
                                        <div class="form-group">
                                            <select class="form-control form-control-line" name="status">
                                                <option value="0" <?php echo e($data->status == '0' ? 'selected' : ''); ?>>Pending</option>
                                                <option value="1" <?php echo e($data->status == '1' ? 'selected' : ''); ?>>Approve</option>
                                                <option value="2" <?php echo e($data->status == '2' ? 'selected' : ''); ?>>Reject</option>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-sm-3">
                                        <div class="form-group">
                                            <button class="btn btn-success">Update</button>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        

                        <hr>
                        <p class="card-text"><b>Created at:</b> <?php echo e(\Carbon\Carbon::parse($data->created_at)->setTimezone('Asia/Karachi')->toDateTimeString()); ?></p>
                    </div>
                </div>
            </div>

            <!-- Parent/Adult And Child -->
            <?php if($data->type == 'parent'): ?>
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="card-header bg-inverse text-white">
                            <h4 class="m-b-0 text-white d-inline-block">Community Member's</h4>
                        </div>
                        <div class="table-responsive">
                            <table class="table table-bordered">
                                <thead>
                                    <tr>
                                        <th>Name</th>
                                        <th>Email</th>
                                        <th>Phone</th>
                                        <th>Type</th>
                                        <th>Grade</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $__currentLoopData = $data->communityMember; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $cm): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <tr>
                                        <td><?php echo e($cm->name); ?></td>
                                        <td><?php echo e($cm->email); ?></td>
                                        <td><?php echo e($cm->phone); ?></td>
                                        <td><?php echo e($cm->type); ?></td>
                                        <td><?php echo e($cm->grade ?? '-'); ?></td>
                                    </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
            <?php endif; ?>

        </div>
        <!-- End Row -->
    </div>
</div>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\ptconnect_admin_2024\resources\views/admin/pages/community/view.blade.php ENDPATH**/ ?>