

<?php $__env->startSection('content'); ?>

<div class="page-wrapper">
    <div class="container-fluid">
        <div class="row page-titles">
            <div class="col-md-5 align-self-center">
                <h4 class="text-themecolor font-bold">Course Details</h4>
            </div>
            <div class="col-md-7 align-self-center text-right">
                <div class="d-flex justify-content-end align-items-center">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo e(url('/dashboard')); ?>">Home</a></li>
                        <li class="breadcrumb-item active">
                            <a href="<?php echo e(url('/courses')); ?>" class="text-cyan">Course</a>
                        </li>
                        <li class="breadcrumb-item">Course View</li>
                    </ol>
                </div>
            </div>
        </div>

        <!-- Post -->
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header bg-inverse text-white">
                        <h4 class="m-b-0 text-white d-inline-block">Course (<?php echo e(ucwords($data->name)); ?>)</h4>
                    </div>

                    <div class="ribbon-wrapper card-body collapse show">
                        <div class="text-center">
                        <img src="<?php echo e(@$data->image_url != '' ? @$data->image_url : url('assets/images/upload.jpg')); ?>" alt="logo" class="mb-3" style="width: 150px;height: 150px">
                        </div>
                        <p class="text-center mt-4">
                            <a href="<?php echo e(@$data->image_url != '' ? @$data->image_url : url('assets/images/upload.jpg')); ?>" target="blank">Click to view</a>
                        </p>
                        <hr>
                        <div class="row">
                            <div class="offset-1 col-md-4 p-2">
                                <p class="card-text"><b>Name:</b> <?php echo e(ucwords($data->name)); ?></p>
                            </div>
                            <div class="offset-1 col-md-4 p-2">
                                <?php if($data->url != null): ?>
                                <a href="//<?php echo e($data->url); ?>" class="btn btn-dropbox btn-sm" data-abc="true" target="_blank">
                                    <i class="fa fa-link"></i>
                                </a>
                                <?php else: ?>
                                <a class="btn btn-dropbox btn-sm" data-abc="true">
                                    <i class="fa fa-link"></i>
                                </a>
                                <?php endif; ?>
                            </div>
                            <div class="offset-1 col-md-4 p-2">
                                <p class="card-text"><b>Type:</b> 
                                <?php switch($data->type):
                                    case ('popular'): ?>
                                    <label class="badge badge-dark">Popular</label>
                                    <?php break; ?>
                                    <?php case ('recommend'): ?>
                                    <label class="badge badge-info">Recommend</label>
                                    <?php break; ?>

                                    <?php default: ?>
                                    <label class="badge badge-success">-</label>
                                    <?php endswitch; ?></p>
                            </div>
                            <div class="offset-1 col-md-4 p-2">
                                <p class="card-text"><b>Lable Name:</b> <?php echo e(ucwords($data->lable_name)); ?></p>
                            </div>
                            <div class="offset-1 col-md-4 p-2">
                                <p class="card-text"><b>Start Date:</b><?php echo e(\Carbon\Carbon::parse($data->start_date)->format('d/m/Y')); ?></p>
                            </div>
                            <div class="offset-1 col-md-4 p-2">
                                <p class="card-text"><b>End Date:</b><?php echo e(\Carbon\Carbon::parse($data->end_date)->format('d/m/Y')); ?></p>
                            </div>

                        </div>
                        <hr>
                        <p class="card-text"><b>Created at:</b> <?php echo e(\Carbon\Carbon::parse($data->created_at)->setTimezone('Asia/Karachi')->toDateTimeString()); ?></p>
                    </div>
                </div>
            </div>

        </div>
        <!-- End Row -->
    </div>
</div>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\ptconnect_admin_2024\resources\views/admin/pages/course/view.blade.php ENDPATH**/ ?>