<?php $__env->startSection('content'); ?>
<div class="page-wrapper">
    <!-- ============================================================== -->
    <!-- Container fluid  -->
    <!-- ============================================================== -->
    <div class="container-fluid">
        <!-- ============================================================== -->
        <!-- Bread crumb and right sidebar toggle -->
        <!-- ============================================================== -->
        <div class="row page-titles">
            <div class="col-md-5 align-self-center">
                <h4 class="text-themecolor font-bold"><?php echo e(@$data ? 'Edit' : 'Add'); ?> Affiliate Link</h4>
            </div>
            <div class="col-md-7 align-self-center text-right">
                <div class="d-flex justify-content-end align-items-center">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo e(url('s/dashboard')); ?>">Home</a></li>
                        <li class="breadcrumb-item active">
                            <a href="<?php echo e(url('/affiliates')); ?>" class="text-danger">Affiliate Link</a>
                        </li>
                    </ol>
                </div>
            </div>
        </div>

        <?php echo $__env->make('admin.includes.alert', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <div class="card">
            <div class="card-body">

                <form action="<?php echo e(@$data ? url('/manager/affiliates/' . $data['id']  ) : url('/manager/affiliates')); ?>" method="post" enctype="multipart/form-data" data-parsley-validate>
                    <?php echo csrf_field(); ?>

                    <?php if( @$data ): ?>
                    <?php echo method_field('PATCH'); ?>
                    <?php endif; ?>

                    <div class="row">
                        <div class="col-md-6 mb-3">
                            <label class="control-label">Affiliate Title<span class="text-danger">*</span> </label>
                            <input type="text" data-parsley-required-message="The title field is required" name="title" value="<?php echo e(old('title', @$data->title)); ?>" class="form-control <?php echo e($errors->has('title') ? 'is-invalid' : ''); ?>" autocomplete="off" placeholder="Enter title" required>
                            <?php if($errors->has('title')): ?>
                            <span class="text-danger"><?php echo e($errors->first('title')); ?></span>
                            <?php endif; ?>
                        </div>

                        <div class="col-md-6 mb-3">
                            <label class="control-label">Affiliate Link<span class="text-danger">*</span></label>
                            <input type="url" class="form-control" id="url" name="url" value="<?php echo e(old('url', @$data['url'])); ?>" data-parsley-required-message="The link field is required" data-parsley-type="url" data-parsley-pattern="^(https?://)?(www\.)?[\w-]+(\.[\w-]+)+(/[\w-./?%&=]*)?$" placeholder="Enter link" required>
                            <?php if($errors->has('url')): ?>
                            <span class="text-danger"><?php echo e($errors->first('url')); ?></span>
                            <?php endif; ?>
                        </div>

                        <div class="col-md-6 mb-3">
                            <label class="control-label">Affiliate Image<span class="text-danger">*</span></label>
                            <div>
                                <label for="affiliate-image" style="cursor: pointer;">
                                    <img id="previewImg" src="<?php echo e(@$data->image_url != '' ? @$data->image_url : url('assets/images/upload.jpg')); ?>" alt="logo" class="mb-3" id="showUpload" style="width: 150px;height: 150px">
                                </label>
                            </div>
                            <input type="file" name="image" data-parsley-required-message="The image field is required" class="form-control upload-image" id="affiliate-image" style="display: none;" <?php echo e(@$data->image_url == null ? 'required' : ''); ?>>
                            <?php if($errors->has('image')): ?>
                            <span class="text-danger"><?php echo e($errors->first('image')); ?></span>
                            <?php endif; ?>
                        </div>

                    </div>

                    <button class="btn btn-primary" type="submit">Save</button>
                </form>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('script'); ?>
<script>
    $(".upload-image").change(function() {
        var inputFile = $(this).parent().children('div').children('label').children('img')
        var reader = new FileReader();
        reader.onload = function(e) {
            inputFile.attr('src', e.target.result);
        };
        reader.readAsDataURL(this.files[0]);
        console.log(this.files[0])
    });

    function previewFile(input) {
        var file = $("input[type=file]").get(0).files[0];
        if (file) {
            var reader = new FileReader();
            reader.onload = function() {
                $("#previewImg").attr("src", reader.result);
            }
            reader.readAsDataURL(file);
        }
    }
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('admin.layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\ptconnect_admin_2024\resources\views/admin/pages/affiliate/form.blade.php ENDPATH**/ ?>