<?php $__env->startSection('content'); ?>

<div class="page-wrapper">
    <!-- ============================================================== -->
    <!-- Container fluid  -->
    <!-- ============================================================== -->
    <div class="container-fluid">
        <!-- ============================================================== -->
        <!-- Bread crumb and right sidebar toggle -->
        <!-- ============================================================== -->
        <div class="row page-titles">
            <div class="col-md-5 align-self-center">
                <h4 class="text-themecolor font-bold">Affiliated Links</h4>
            </div>
            <div class="col-md-7 align-self-center text-right">
                <div class="d-flex justify-content-end align-items-center">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item active"><a href="<?php echo e(url('/dashboard')); ?>">Home</a></li>
                        <li class="breadcrumb-item active">
                            <a href="<?php echo e(url('/affiliates')); ?>" class="text-info">Affiliate Link</a>
                        </li>
                    </ol>
                    <a href="<?php echo e(url('/manager/affiliates/create')); ?>" type="button" class="btn btn-info d-xs-block m-l-15">
                        <i class="fa fa-plus-circle"></i> Add Affiliate Link
                    </a>
                </div>
            </div>
        </div>
        <!-- ============================================================== -->
        <!-- End Bread crumb and right sidebar toggle -->
        <!-- ============================================================== -->
        <?php echo $__env->make('admin.includes.alert', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

        <div class="card">
            <div class="card-body">
                <div class="table-responsive m-t-30">
                    <table class="table table-bordered" id="affilites">
                        <thead>
                            <tr>
                                <th width="50">S.no</th>
                                <th>Title</th>
                                <th>Link</th>
                                <th>Date</th>
                                <th width="100px">Action</th>
                            </tr>
                        </thead>
                        <tbody>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('script'); ?>
<script>
    $(document).ready(function() {
        $(function() {
            $('table').on('draw.dt', function() {
                $('[data-toggle="tooltip"]').tooltip();
            })

            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });

            var affiliate = $('#affilites').DataTable({
                processing: true,
                serverSide: true,
                responsive: true,
                orderable: false,
                searchable: true,
                "language": {
                    processing: '<i class="fa fa-spinner fa-spin fa-3x fa-fw"></i><span class="sr-only">Loading...</span>'
                },
                ajax: "",
                columns: [{
                    data: 'DT_RowIndex',
                    name: 'DT_RowIndex',
                    orderable: false,
                    searchable: false
                }, {
                    data: 'title',
                    name: 'title'
                },{
                    data: 'url',
                    render: function(data) {
                            if (data == null) {
                                return 'No Link';
                            }
                            return '<a href="' + data + '" class="btn btn-dropbox btn-sm" data-abc="true" target="_blank"> <i class = "fa fa-link" ></a>';
                        }
                }, {
                    data: 'created_at',
                    name: 'created_at'
                }, {
                    defaultContent: "",
                    data: "action",
                    name: "action",
                    title: "Action",
                    render: null,
                    orderable: false,
                    searchable: false
                }]
            });
        })

        $('body').on('click', '.deleteAffiliate', function(e) {
            e.preventDefault()
            var id = $(this).data("id");
            swal({
                title: "Are you sure?",
                text: "You will not be able to recover this record!",
                type: "warning",
                showCancelButton: true,
                confirmButtonClass: "btn-danger",
                confirmButtonText: "Yes, delete it!",
                cancelButtonText: "No, Cancel!",
                closeOnConfirm: true,
                closeOnCancel: false
            }).then(function(result) {
                if (result.value) {
                    $.ajax({
                        type: 'DELETE',
                        url: `<?php echo e(url('/manager/affiliates/${id}')); ?>`,
                        data: {
                            id: id
                        },
                        dataType: 'json',
                        success: function(data) {
                            if (data.success === true) {
                                swal(data.msg, "", "success");
                                setTimeout(function() {
                                    location.reload();
                                }, 2000);
                            } else {
                                swal("Error!", data.msg, "error");
                            }
                        }
                    });

                } else {
                    swal.fire("Cancelled", "Delete Cancelled", "error");
                }
            });
        });

    })
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('admin.layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\ptconnect_admin_2024\resources\views/admin/pages/affiliate/list.blade.php ENDPATH**/ ?>