<?php $__env->startSection('content'); ?>
<div class="page-wrapper">
    <!-- ============================================================== -->
    <!-- Container fluid  -->
    <!-- ============================================================== -->
    <div class="container-fluid">
        <!-- ============================================================== -->
        <!-- Bread crumb and right sidebar toggle -->
        <!-- ============================================================== -->
        <div class="row page-titles">
            <div class="col-md-5 align-self-center">
                <h4 class="text-themecolor font-bold"><?php echo e(@$data ? 'Edit' : 'Add'); ?> Faq</h4>
            </div>
            <div class="col-md-7 align-self-center text-right">
                <div class="d-flex justify-content-end align-items-center">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo e(url('/manager/dashboard')); ?>">Home</a></li>
                        <li class="breadcrumb-item active">
                            <a href="<?php echo e(url('/manager/faqs')); ?>" class="text-danger">Faq</a>
                        </li>
                    </ol>
                </div>
            </div>
        </div>

        <?php echo $__env->make('admin.includes.alert', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <div class="card">
            <div class="card-body">

                <form action="<?php echo e(@$data ? url('/manager/faqs/' . $data['id']  ) : url('/manager/faqs')); ?>" method="post" enctype="multipart/form-data" data-parsley-validate>
                    <?php echo csrf_field(); ?>

                    <?php if( @$data ): ?>
                    <?php echo method_field('PATCH'); ?>
                    <?php endif; ?>

                    <div class="row">
                        <div class="col-md-12 mb-3">
                            <label class="control-label">Question<span class="text-danger">*</span> </label>
                            <input type="text" data-parsley-required-message="The question field is required" name="question" value="<?php echo e(old('question', @$data->question)); ?>" class="form-control <?php echo e($errors->has('question') ? 'is-invalid' : ''); ?>" autocomplete="off" placeholder="Enter question" required>
                            <?php if($errors->has('question')): ?>
                            <span class="text-danger"><?php echo e($errors->first('question')); ?></span>
                            <?php endif; ?>
                        </div>

                        <div class="col-md-12 mb-3">
                            <label class="control-label">Answer<span class="text-danger">*</span></label>
                            <textarea class="form-control" id="ckeditor" name="answer" rows="6" data-parsley-required-message="The answer field is required" placeholder="Enter answer" required><?php echo old('answer', @$data['answer']); ?></textarea>
                            <?php if($errors->has('answer')): ?>
                            <span class="text-danger"><?php echo e($errors->first('answer')); ?></span>
                            <?php endif; ?>
                        </div>

                    </div>

                    <button class="btn btn-primary" type="submit">Save</button>
                </form>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('script'); ?>
<script>
    $(document).ready(function() {
        CKEDITOR.replace('ckeditor');
        CKEDITOR.config = {
            autoUpdateElement: true,
        }

        CKEDITOR.on('instanceReady', function() {
            $('#ckeditor').attr('required', '');
            $.each(CKEDITOR.instances, function(instance) {
                CKEDITOR.instances[instance].on("change", function(e) {
                    for (instance in CKEDITOR.instances) {
                        CKEDITOR.instances[instance].updateElement();
                        $('form').parsley().validate();
                    }
                });
            });
        });
    });
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('admin.layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\ptconnect_admin_2024\resources\views/admin/pages/faq/form.blade.php ENDPATH**/ ?>