<?php $__env->startSection('content'); ?>
<div class="page-wrapper">

    <div class="container-fluid">

        <div class="row page-titles">
            <div class="col-md-5 align-self-center">
                <h4 class="text-themecolor font-bold"><?php echo e(@$data ? 'Edit' : 'Add'); ?> Content</h4>    
            </div>
            <div class="col-md-7 align-self-center text-right">
                <div class="d-flex justify-content-end align-items-center">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo e(url('/manager/dashboard')); ?>">Home</a></li>
                        <li class="breadcrumb-item active">
                            <a href="<?php echo e(url('/manager/contents')); ?>" class="text-danger">Content</a>
                        </li>
                    </ol>
                </div>
            </div>
        </div>

        <?php echo $__env->make('admin.includes.alert', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <div class="card">
            <div class="card-body">

                <form action="<?php echo e(@$data ? url('/manager/contents/' . $data['id']  ) : url('/manager/contents')); ?>" method="post" enctype="multipart/form-data" data-parsley-validate>
                    <?php echo csrf_field(); ?>

                    <?php if( @$data ): ?>
                    <?php echo method_field('PATCH'); ?>
                    <?php endif; ?>

                    <div class="row">
                        <div class="col-md-6 mb-3">
                            <label class="control-label">Content Title<span class="text-danger">*</span></label>
                            <input type="text" data-parsley-required-message="The title field is required" name="title" value="<?php echo e(old('title', @$data->title)); ?>" class="form-control <?php echo e($errors->has('title') ? 'is-invalid' : ''); ?>" autocomplete="off" placeholder="Enter title" disabled>
                            <?php if($errors->has('title')): ?>
                            <span class="text-danger"><?php echo e($errors->first('title')); ?></span>
                            <?php endif; ?>
                        </div>

                        <div class="col-md-6 mb-3">
                            <label class="control-label">Content Image<span class="text-danger">*</span></label>
                            <div>
                                <label for="content-image" style="cursor: pointer;">
                                    <img id="previewImg" src="<?php echo e(@$data->image_url != '' ? @$data->image_url : url('assets/images/upload.jpg')); ?>" alt="logo" class="mb-3" id="showUpload" style="width: 150px;height: 150px">
                                </label>
                            </div>
                            <input type="file" name="image" data-parsley-required-message="The image field is required" class="form-control upload-image" id="content-image" style="display: none;" <?php echo e(@$data->image_url == null ? 'required' : ''); ?>>
                            <?php if($errors->has('image')): ?>
                            <span class="text-danger"><?php echo e($errors->first('image')); ?></span>
                            <?php endif; ?>
                        </div>

                        <div class="col-md-12 mb-3">
                            <label class="control-label">Content Description<span class="text-danger">*</span></label>
                            <textarea class="form-control" id="ckeditor" name="description" data-parsley-required-message="The description field is required" data-parsley-errors-container="#description-errors" rows="6" placeholder="Enter description" required><?php echo old('description', @$data['description']); ?></textarea>
                            <div id="description-errors"></div>
                            <?php if($errors->has('description')): ?>
                            <span class="text-danger"><?php echo e($errors->first('description')); ?></span>
                            <?php endif; ?>
                        </div>

                    </div>

                    <button class="btn btn-primary" type="submit">Save</button>
                </form>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('script'); ?>
<script>
    $(document).ready(function() {
        CKEDITOR.replace('ckeditor');
        CKEDITOR.config = {
            autoUpdateElement: true,
        }

        CKEDITOR.on('instanceReady', function() {
            $('#ckeditor').attr('required', '');
            $.each(CKEDITOR.instances, function(instance) {
                CKEDITOR.instances[instance].on("change", function(e) {
                    for (instance in CKEDITOR.instances) {
                        CKEDITOR.instances[instance].updateElement();
                        $('form').parsley().validate();
                    }
                });
            });
        });
    });

    $(".upload-image").change(function() {
        var inputFile = $(this).parent().children('div').children('label').children('img')
        var reader = new FileReader();
        reader.onload = function(e) {
            inputFile.attr('src', e.target.result);
        };
        reader.readAsDataURL(this.files[0]);
        console.log(this.files[0])
    });

    function previewFile(input) {
        var file = $("input[type=file]").get(0).files[0];
        if (file) {
            var reader = new FileReader();
            reader.onload = function() {
                $("#previewImg").attr("src", reader.result);
            }
            reader.readAsDataURL(file);
        }
    }
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('admin.layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\ptconnect_admin_2024\resources\views/admin/pages/content/form.blade.php ENDPATH**/ ?>