<?php $__env->startSection('content'); ?>
<div class="page-wrapper">
    <!-- ============================================================== -->
    <!-- Container fluid  -->
    <!-- ============================================================== -->
    <div class="container-fluid">
        <!-- ============================================================== -->
        <!-- Bread crumb and right sidebar toggle -->
        <!-- ============================================================== -->
        <div class="row page-titles">
            <div class="col-md-5 align-self-center">
                <h4 class="text-themecolor font-bold">User Profile</h4>
            </div>
            <div class="col-md-7 align-self-center text-right">
                <div class="d-flex justify-content-end align-items-center">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo e(url('manager/dashboard')); ?>">Home</a></li>
                        <li class="breadcrumb-item active">User Profile</li>
                    </ol>
                </div>
            </div>
        </div>

        <?php echo $__env->make('admin.includes.alert', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <!-- Change Password -->
        <div class="row">

            <div class="col-md-6">
                <div class="card">
                    <div class="card-header bg-inverse text-white">
                        <h4 class="m-b-0 text-white d-inline-block">Edit Profile</h4>
                    </div>

                    <div class="card-body">

                        <form class="form-horizontal" action="<?php echo e(url('/manager/settings/' . @$user->id )); ?>" method="POST" data-parsley-validate>
                            <?php echo csrf_field(); ?>
                            <?php echo method_field('PATCH'); ?>

                            <div class="row">
                                <div class="col-md-6 mb-3">
                                    <label class="control-label">First Name*</label>
                                    <input type="text" data-parsley-required-message="The first name field is required" name="first_name" value="<?php echo e(old('first_name', $user->first_name)); ?>" class="form-control <?php echo e($errors->has('first_name') ? 'is-invalid' : ''); ?>" autocomplete="off" placeholder="Enter Restaurant first_name" required>
                                    <?php if($errors->has('first_name')): ?>
                                    <span class="text-danger"><?php echo e($errors->first('first_name')); ?></span>
                                    <?php endif; ?>
                                </div>

                                <div class="col-md-6 mb-3">
                                    <label class="control-label">Last Name*</label>
                                    <input type="text" data-parsley-required-message="The last name field is required" name="last_name" value="<?php echo e(old('last_name', $user->last_name)); ?>" class="form-control <?php echo e($errors->has('last_name') ? 'is-invalid' : ''); ?>" autocomplete="off" placeholder="Enter Restaurant last_name" required>
                                    <?php if($errors->has('last_name')): ?>
                                    <span class="text-danger"><?php echo e($errors->first('last_name')); ?></span>
                                    <?php endif; ?>
                                </div>

                                <div class="col-md-6 mb-3">
                                    <label class="control-label">Email*</label>
                                    <input type="email" data-parsley-required-message="The email field is required" name="email" value="<?php echo e(old('email', $user->email)); ?>" class="form-control <?php echo e($errors->has('email') ? 'is-invalid' : ''); ?>" autocomplete="off" placeholder="Enter Your Email" disabled required>
                                    <?php if($errors->has('email')): ?>
                                    <span class="text-danger"><?php echo e($errors->first('email')); ?></span>
                                    <?php endif; ?>
                                </div>

                                <div class="col-md-6 mb-3">
                                    <label class="control-label">Phone*</label>
                                    <input class="form-control" type="text" name="phone" value="<?php echo e(old('phone', @$user->phone)); ?>" data-parsley-required-message="The phone field is required" data-parsley-trigger="keyup" data-parsley-validation-threshold="1" data-parsley-debounce="500" data-parsley-type="digits" data-parsley-minlength="11" data-parsley-maxlength="15" required placeholder="Enter Phone">
                                </div>
                            </div>

                            <button type="submit" class="btn btn-success">Save</button>
                        </form>
                    </div>
                </div>
            </div>

            <!-- Change Password -->
            <div class="col-md-6">
                <div class="card">
                    <div class="card-header bg-inverse text-white">
                        <h4 class="m-b-0 text-white d-inline-block">Change Password</h4>
                    </div>

                    <div class="card-body">
                        <form action="<?php echo e(route('credential.update')); ?>" method="POST" data-parsley-validate>
                            <?php echo csrf_field(); ?>

                            <div class="row">
                                <div class="col-md-6 mb-3">
                                    <label class="control-label">Current Password*</label>
                                    <input type="password" name="current_password" data-parsley-required-message="The current password field is required" id="password" value="<?php echo e(old('current_password')); ?>" class="form-control <?php echo e($errors->has('current_password') ? 'is-invalid' : ''); ?>" autocomplete="off" placeholder="Enter Current Password" required>
                                    <?php $__errorArgs = ['current_password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <span class="invalid-feedback" role="alert">
                                        <strong><?php echo e($message); ?></strong>
                                    </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>

                                <div class="col-md-6 mb-3">
                                    <label class="control-label">New Password*</label>
                                    <input type="password" name="password" data-parsley-required-message="The new password field is required" data-parsley-minlength="8" data-parsley-maxlength="15" value="<?php echo e(old('password')); ?>" class="form-control <?php $__errorArgs = ['password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="pwd-password" autocomplete="off" placeholder="Enter New Password" required>

                                    <?php $__errorArgs = ['password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <span class="invalid-feedback" role="alert">
                                        <strong><?php echo e($message); ?></strong>
                                    </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>

                                <div class="col-md-6 mb-3">
                                    <label class="control-label">Confirm Password*</label>
                                    <input type="password" name="password_confirmation" data-parsley-required-message="The confirmation password field is required" data-parsley-minlength="8" data-parsley-maxlength="15" value="<?php echo e(old('password_confirmation')); ?>" class="form-control <?php $__errorArgs = ['password_confirmation'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?> is-invalid <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>" id="cnfm-password" autocomplete="off" placeholder="Enter Confirm Password" required>

                                    <?php $__errorArgs = ['password_confirmation'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                    <span class="invalid-feedback" role="alert">
                                        <strong><?php echo e($message); ?></strong>
                                    </span>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>

                            </div>
                            <button type="submit" class="btn btn-success">Save</button>
                        </form>
                    </div>
                </div>
            </div>

        </div>

    </div>
</div>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\laragon\www\ptconnect_admin_2024\resources\views/admin/pages/settings/form.blade.php ENDPATH**/ ?>